#!/bin/bash
set -evx
PATH=/opt/cdo-1.5.6.1/bin/:$PATH

year0=1958
yearf=2012
fc0=0
fcf=4
lstMM=( '1031' )

for ((year=${year0};year<=${yearf};year++)) ; do
 for ((fc=${fc0};fc<=${fcf};fc++)) ; do
  for MM in ${lstMM[@]} ; do
   cp /cfu/releases/ic/ocean/ORCA1/s4/s4_fc${fc}_${year}${MM}_restart.nc.gz .
   gunzip s4_fc${fc}_${year}${MM}_restart.nc.gz
   bash script_interp_vert_ocean_restart.bash  s4_fc${fc}_${year}${MM}_restart s4_fc${fc}_${year}${MM}_restart_O1L46 ${MM:0:2}   
   gzip s4_fc${fc}_${year}${MM}_restart_O1L46.nc
   mv s4_fc${fc}_${year}${MM}_restart_O1L46.nc.gz /cfu/releases/ic/ocean/ORCA1L46/s4/s4_fc${fc}_${year}${MM}_restart.nc.gz
   rm -f s4_fc${fc}_${year}${MM}_restart.nc
  done
 done
done
